package com.cusc.nirvana.user.rnr.mg.constants;

/**
 * Description: 实名操作日志业务类型枚举
 * <br />
 * CreateDate 2021-10-28 12:49:12
 *
 * @author yuyi
 **/
public enum RnrOptLogBizTypeEnum {

    CARD(1, "卡信息日志"),
    INFO(2, "实名信息日志");

    private int code;
    private String name;

    RnrOptLogBizTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public static RnrOptLogBizTypeEnum getEnumByCode(int code) {
        for (RnrOptLogBizTypeEnum sys : RnrOptLogBizTypeEnum.values()) {
            if (sys.getCode() == code) {
                return sys;
            }
        }
        return null;
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

}
