package com.cusc.nirvana.user.rnr.mg.constants;

public enum RnrOptLogSubTypeEnum {

    CREATE_OPERATE(1, 101, "创建操作"),
    AUTO_ACCESS_OPERATE(2, 201, "自动审核通过操作"),
    AUTO_FAIL_OPERATE(2, 202, "自动审核失败操作"),
    RNR_SHIFT_TO_ARTIFICIAL(2, 203, "已转入人工"),
    MANUAL_ACCESS_OPERATE(2, 204, "人工审核通过操作"),
    MANUAL_FAIL_OPERATE(2, 205, "人工审核失败操作"),
    REBIND_OPERATE(2, 206, "重绑操作"),
    BIND_OPERATE(2, 207, "绑定操作"),
    UNBIND_SUCC_OPERATE(3, 301, "解绑操作"),
    UNBIND_SHIFT_TO_ARTIFICIAL(3, 302, "解绑转人工"),
    UNBIND_FAIL_OPERATE(3, 303, "解绑失败操作"),
    UPDATE_ICCID(4, 401, "修改ICCID,更换车机"),
    UPDATE_VIN(4, 402, "修改车架号"),
    UPDATE_PHONE(5, 501, "修改手机号"),
    UPDATE_PHONE_H5(5, 502, "H5修改手机号");

    private Integer pCode;
    private Integer code;
    private String comment;

    private RnrOptLogSubTypeEnum(Integer pCode, Integer code, String comment) {
        this.pCode = pCode;
        this.code = code;
        this.comment = comment;
    }

    public Integer getpCode() {
        return pCode;
    }

    public Integer getCode() {
        return code;
    }

    public String getComment() {
        return comment;
    }

    public static RnrOptLogSubTypeEnum getModifyType(Integer code) {
        for (RnrOptLogSubTypeEnum type : RnrOptLogSubTypeEnum.values()) {
            if (type.getCode().equals(code)) {
                return type;
            }
        }
        return null;
    }
}
