package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * 实名业务公共配置(MgRnrCommonConfig)实体类
 *
 * @author yuy336
 * @since 2022-03-03 10:56:46
 */
@TableName("mg_rnr_common_config")
@Data
public class MgRnrCommonConfigPO extends BaseRnrPO {

    private static final long serialVersionUID = -16241922029954499L;
    
    /**
     * 配置键
     */    
    @TableField("config_key")
    private String configKey;
    
    /**
     * 配置值
     */    
    @TableField("config_value")
    private String configValue;
    
    /**
     * 全路径
     */    
    @TableField("config_path")
    private String configPath;
    
    /**
     * 认证方式实例
     */    
    @TableField("parent_id")
    private Long parentId;
    
    /**
     * 父节点配置键
     */    
    @TableField("parent_path")
    private String parentPath;
    
    /**
     * 排序
     */    
    @TableField("config_order")
    private Integer configOrder;
    
    /**
     * 描述
     */    
    @TableField("comments")
    private String comments;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

