package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

@TableName("org_business_tag")
@Data
public class OrgBusinessTagPO extends BaseRnrPO {

    /**业务主键*/
    @TableField("uuid")
    private String uuid;

    /**租户编码*/
    @TableField("tenant_no")
    private String tenantNo;

    /**组织业务uuid*/
    @TableField("org_uuid")
    private String orgUuid;

    /**标签编码*/
    @TableField("tag_code")
    private String tagCode;

    /**标签名称*/
    @TableField("tag_name")
    private String tagName;

    /**标签描述*/
    @TableField("description")
    private String description;

    /**系统编码，1 老实名  2 V平台*/
    @TableField("system_code")
    private Integer systemCode;

}
