package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.common.result.PageResult;
import com.cusc.nirvana.user.rnr.mg.dto.MgCheckProgressDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgCheckStatisticsDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgCheckStatisticsQueryDTO;
import com.cusc.nirvana.user.rnr.mg.dto.MgSearchCardAuthDTO;
import com.github.pagehelper.PageInfo;

public interface IMgCheckProgressService {

    /**
     * 分页查询审核进度信息
     *
     * @param bean 筛选条件
     * @return 查询结果
     */
    PageResult<MgCheckProgressDTO> queryByPage(MgCheckProgressDTO bean);


    MgCheckStatisticsDTO queryCheckStatistics(MgCheckStatisticsQueryDTO queryDTO);


}
