package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.user.rnr.common.dto.RnrMqMessageDTO;
import com.cusc.nirvana.user.rnr.mg.dto.RnrOrderDTO;

import java.util.List;

/**
 * Description: 工单通知service
 * <br />
 * CreateDate 2022-03-08 15:21:50
 *
 * @author yuyi
 **/
public interface IOrderNoticeService {

    /**
     * Description: 发送工单消息
     * <br />
     * CreateDate 2022-03-08 15:53:10
     *
     * @author yuyi
     **/
    void sendOrderMsg(RnrMqMessageDTO<List<RnrOrderDTO>> bean);

    /**
     * Description: 发送工单通知，提供给小前台或其他服务使用
     * <br />
     * CreateDate 2022-03-08 15:53:10
     *
     * @author yuyi
     **/
    void sendOrderNotice(List<RnrOrderDTO> orderList);

}
