package com.cusc.nirvana.user.rnr.mg.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.mg.dto.ProjectNumResponseDTO;
import org.springframework.stereotype.Service;

/**
 * @author yubo
 * @since 2022-04-19 15:35
 */
public interface IProjectService {

    /**
     * 根据iccid查询项目编号
     *
     * @param iccid
     * @return
     */
    Response<ProjectNumResponseDTO> findProjectNoByIccid(String iccid);
}
