package com.cusc.nirvana.user.rnr.notice.converter;

import com.cusc.nirvana.user.rnr.notice.dto.RnrNoticeReqDTO;
import com.cusc.nirvana.user.rnr.notice.dto.ThirdPartyNoticeReqDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 实名通知Converter
 *
 * @author yuy336
 * @since 2022-03-31 15:04:52
 */
@Mapper
public interface ThirdPartyNoticeConverter {

    ThirdPartyNoticeConverter INSTANCE = Mappers.getMapper(ThirdPartyNoticeConverter.class);

    /**
     * Description: 实名内部请求dto 转 三方通知dto
     * <br />
     * CreateDate 2021-11-18 15:21:27
     *
     * @author yuyi
     **/
    ThirdPartyNoticeReqDTO noticeReqToThirdPartyDto(RnrNoticeReqDTO bean);
}
