package com.cusc.nirvana.user.rnr.workorder.dto;

import lombok.Data;

import java.util.List;

/**
 * @author stayAnd
 * @date 2022/3/29
 * 发起工单dto
 */
@Data
public class WorkOrderStarRequestDTO {

	/**
	 * 租户id
	 */
	private String tenantUuid;

	/**
	 * 应用标识
	 */
	private String applicationUuid;

	/**
	 * 工单绑定的业务对象标识
	 */
	private String businessObjectId;

	/**
	 * 标签
	 */
	private String tag;

	/**
	 * 工单名称
	 */
	private String name;

	/**
	 * 发起人标识
	 */
	private String startUserId;

	/**
	 * 工单定义编码
	 */
	private String workOrderKey;

	/**
	 *表单参数数组
	 */
	private List<WorkOrderRequestParamDTO> params;

}
