package com.cusc.nirvana.user.rnr.common.constants;

public enum SystemCode {

    SYS_CODE_ALL("ALL", "全部"),
    SYS_CODE_OTHER("OTHER", "其他"),

    // 短信，邮件
    SYS_CODE_ZJYSMS2("ZJYSMS2", "中聚元2"),
    SYS_CODE_BFSMS("BFSMS", "北分短信中心"),
    // 短信，邮件
	SYS_CODE_MAIL("MAIL", "邮件"),

    // 查询服务
    SYS_CODE_BMW_OMC_QRY("BMW_OMC_QRY", "宝马OMC反查"),
    SYS_CODE_CHERY_QRY("CHERY_QRY", "奇瑞反查"),
    SYS_CODE_DAIVB("DAIVB", "戴姆勒"),
    SYS_CODE_DAIVB_TOKEN("DAIVB_TOKEN", "戴姆勒Token"),
    SYS_CODE_TSP_SIM_INFO("TSP_SIM_INFO", "TSP卡查询"),

    // 实名相关服务
    SYS_CODE_AOP("AOP", "人脸识别"),
    SYS_CODE_AOP_NP("AOPNP", "自然人人脸识别"),
    SYS_CODE_GZT("GZT", "国政通"),
    SYS_CODE_GZT_NP("GZTNP", "自然人身份认证"),
    SYS_CODE_GZT2("GZT2", "国政通2"),
    SYS_CODE_OCR("OCR", "图像识别"),
    SYS_CODE_OCR_NP("OCRNP", "自然人图像识别"),
    SYS_CODE_FMP_NP("FMPNP", "自然人活体校验"),
    SYS_CODE_IDENTITY_COMPARE_NP("IdCmprNP", "自然人人证比对"),

    // 查询TOKEN服务
    SYS_CODE_TBOSS_TOKEN("TBOSS_TOKEN", "T服营帐token"),
    SYS_CODE_ONLINESTORE_TOKEN("ONLINESTORE_TOKEN", "在线商店token"),
    SYS_CODE_FLOWCTRL_TOKEN("FLOWCTRL_TOKEN", "流控平台token"),
    SYS_CODE_DPCA_TOKEN("DPCA_TOKEN", "神龙token"),
    SYS_CODE_CHANGAN_TOKEN("CHANGAN_TOKEN", "长安token"),
    SYS_CODE_JINKANGHW_TOKEN("JINKANGHW_TOKEN", "金康华为token"),
    SYS_CODE_HCJT_TOKEN("HCJT_TOKEN", "华晨TBOXtoken"),
    SYS_CODE_FAWMAZDA_TOKEN("FAWMAZDA_TOKEN", "一汽马自达token"),
    SYS_CODE_FCA_TOKEN("FCA_TOKEN", "菲亚特克莱斯勒token"),

    // 回调服务
    SYS_CODE_JASPER("JASPER", "M2M"),
    SYS_CODE_TBOSS("TBOSS", "T服营帐"),
    SYS_CODE_ONLINESTORE("ONLINESTORE", "在线商店"),
    SYS_CODE_FLOWCTRL("FLOWCTRL", "流控平台"),
    // 奔驰的在线商店地址换为通用地址后，使用此系统code为好
    SYS_CODE_ONLINESTORE_GENERIC("ONLINESTORE_GENERIC", "在线商店通用"),
    SYS_CODE_DSSP("DSSP", "长安谛艾仕"),
    SYS_CODE_DPCA("DPCA", "神龙（斑马）"),
    SYS_CODE_CHANGAN("CHANGAN", "长安"),
    SYS_CODE_JINKANGHW("JINKANGHW_BIND_NOTIFY", "金康华为"),
    SYS_CODE_HCJT_ABOX("HCJT_ABOX", "华晨ABOX"),
    SYS_CODE_HCJT_TBOX("HCJT_TBOX", "华晨TBOX"),
    SYS_CODE_AMSP("AMSP", "后装平台"),
    SYS_CODE_AMSP_ICCID("AMSP_ICCID", "后装校验ICCID"),
    SYS_CODE_AMSP_TSP("AMSP_TSP", "车厂TSP"),
    SYS_CODE_ZNA_TSP("ZNA_TSP", "郑州日产TSP"),
    SYS_CODE_AMSP_OM_BIND("AMSPOM_BIND_NOTIFY", "AMSP运管绑定回调"),
    SYS_CODE_AMSP_OM_UNBIND("AMSPOM_UNBIND_NOTIFY", "AMSP运管解绑回调"),
    SYS_CODE_AMSP_OM_TBOXCHANGE("AMSPOM_TBOXCHANGE_NOTIFY", "AMSP运管车机更换回调"),
    SYS_CODE_GENERIC_BIND("GENERIC_BIND_NOTIFY", "通用绑定回调"),
    SYS_CODE_SIMPLE_BIND("SIMPLE_BIND_NOTIFY", "简单通用绑定回调"),
    SYS_CODE_GENERIC_UNBIND("GENERIC_UNBIND_NOTIFY", "通用解绑回调"),
    SYS_CODE_GENERIC_TBOXCHANGE("GENERIC_TBOXCHANGE_NOTIFY", "通用车机更换回调"),
    SYS_CODE_VENUS_BIND("VENUS_BIND_NOTIFY", "VENUS绑定数据同步"),
    SYS_CODE_VENUS_UNBIND("VENUS_UNBIND_NOTIFY", "VENUS解绑数据同步"),
    SYS_CODE_VENUS_TBOXCHANGE("VENUS_TBOXCHANGE_NOTIFY", "VENUS车机更换数据同步"),
    SYS_CODE_VENUS_CUSTOMERCHANGE("VENUS_CUSTOMERCHANGE_NOTIFY", "VENUS用户更换数据同步"),
    SYS_CODE_PORSCHE("PORSCHE", "保时捷"),
    SYS_CODE_FAWTSP("FAWTSP", "一汽"),
    SYS_CODE_FAWJFTSP("FAWJFTSP", "一汽解放"),
    SYS_CODE_LEOPAARD("LEOPAARD", "猎豹"),
    SYS_CODE_BMW_OMC("BMW_OMC", "宝马OMC"),
    SYS_CODE_BMW_OMC_BATCH("BMW_OMC_BATCH", "宝马OMC-BATCH"),
    SYS_CODE_BJEVTSP("BJEVTSP", "北汽新能源"),
    SYS_CODE_FORD_CARD("FORD_CARD", "福特卡"),
    SYS_CODE_BAIDU_CARD("BAIDU_CARD", "百度卡"),
    SYS_CODE_FORD_TOKEN("FORD_TOKEN", "福特token"),
    SYS_CODE_SH_CBSS("SH_CBSS", "上海CBSS"),
    SYS_CODE_ZJ_CBSS("ZJ_CBSS", "浙江CBSS"),
    SYS_CODE_GEELYXNY("GEELY_XNY", "吉利新能源"),
    SYS_CODE_GX_CBSS("GX_CBSS", "广西CBSS"),
    SYS_CODE_TRAUM("TRAUM", "君马"),
    SYS_CODE_CHERY("CHERY", "奇瑞"),
    SYS_CODE_FCATSP("FCATSP", "菲亚特克莱斯勒"),
    SYS_CODE_FAWMAZDA("FAWMAZDA", "一汽马自达"),
    SYS_CODE_ECS("ECS", "奔驰"),
    SYS_CODE_VENUS("VENUS", "VENUS"),
    SYS_CODE_VENUS_LIVE("VENUSLIVE", "Venus活体检测"),
    SYS_CODE_HONDA_BIND("HONDA_BIND_NOTIFY", "本田绑定回调"),
    SYS_CODE_HONDA_UNBIND("HONDA_UNBIND_NOTIFY", "本田解绑回调"),

    SYS_CODE_IOT("IOT", "IOT南京物联网"),

    SYS_CODE_TENCENT_LIVE("TENCENTLIVE", "腾讯活体通用"),
    SYS_CODE_TENCENT_LIVE_TOKEN("TENCENTLIVE_TOKEN", "腾讯活体TOKEN"),
    SYS_CODE_TENCENT_LIVE_SIGN_TICKET("TENCENTLIVE_SIGN_TICKET", "腾讯活体SIGNTICKET"),
    SYS_CODE_TENCENT_LIVE_NONCE_TICKET("TENCENTLIVE_NONCE_TICKET", "腾讯活体NONCETICKET"),
    SYS_CODE_TENCENT_LIVE_H5LOGIN("TENCENTLIVE_H5LOGIN", "腾讯活体人脸核身H5登录"),
    SYS_CODE_TENCENT_LIVE_CHECK_RESULT("TENCENTLIVEH5_CHECK_RESULT", "腾讯活体检测结果页"),
    SYS_CODE_RNR_LIVE_H5LOGIN("RNR_H5_LIVELOGIN", "实名制启动H5活体"),
    SYS_CODE_RNR_LIVE_WH5_DETECTAUTH("RNR_WH5_DETECTAUTH", "实名制活体微信普通H5"),
    SYS_CODE_TENCENT_LIVE_API("TENCENTLIVEAPI", "腾讯活体API接口通用"),

    SYS_CODE_TENCENT_SDK_LIVE("TENCENTSDKLIVE", "腾讯sdk活体通用"),
    SYS_CODE_TENCENT_SDK_LIVE_TOKEN("TENCENTSDKLIVE_TOKEN", "腾讯SDK活体TOKEN"),
    SYS_CODE_TENCENT_SDK_LIVE_SIGN_TICKET("TENCENTSDKLIVE_SIGN_TICKET", "腾讯SDK活体SIGNTICKET"),
    SYS_CODE_TENCENT_SDK_LIVE_NONCE_TICKET("TENCENTSDKLIVE_NONCE_TICKET", "腾讯SDK活体NONCETICKET"),;


    private String sysCode;
    private String sysName;

    private SystemCode(String sysCode, String sysName) {
        this.sysCode = sysCode;
        this.sysName = sysName;
    }

    public static SystemCode getEnumByCode(String sysCode) {
        for (SystemCode sys : SystemCode.values()) {
            if (sys.getSysCode().equals(sysCode)) {
                return sys;
            }
        }
        return null;
    }

    public String getSysCode() {
        return sysCode;
    }

    public String getSysName() {
        return sysName;
    }
}
