package com.cusc.nirvana.user.rnr.mg.constants;

import java.util.Arrays;
import java.util.List;

/**
 * Description: 实名常量类
 * <br />
 * CreateDate 2022-05-04 15:49:40
 *
 * @author yuyi
 **/
public class RnrMgConstants {

    //自然人证件正面文件常量
    public final static List<Integer> CERT_FRONT_FILE_TYPE_LIST = Arrays.asList(1, 8, 10, 12, 14, 16, 18, 20, 22);

    //自然人证件反面文件常量
    public final static List<Integer> CERT_BACK_FILE_TYPE_LIST = Arrays.asList(2, 9, 11, 13, 15, 17, 19, 21, 23);

    //租户和组织对应的密钥
    public static final String MG_SECRET_KEY_TENANT_ORGAN = "CT:RNR:SECRET_KEY:";

    //租户和组织对应的密钥 过期时间 秒
    public static final int MG_SECRET_KEY_TENANT_ORGAN_EXPIRE = 28800;
}
