package com.cusc.nirvana.user.rnr.mg.constants;

/**
 * <p>
 * rnr mq常量类
 * </p>
 *
 * @author yuy336
 * @since 2021-10-14
 */
public class RnrMgMqConstant {

    /**
     * 解绑、绑定、换绑
     */
    public static final String RNR_CARD_OPERATION_TOPIC = "cusc-rnr-card-operation-topic";

    /**
     * 解绑、绑定、换绑group
     */
    public static final String RNR_CARD_OPERATION_GROUP = "cusc-rnr-card-operation-group";

    /**
     * 一车多卡、车主解绑、换卡 topic
     */
    public static final String RNR_CARD_OPERATION_DELAY_TOPIC = "cusc-rnr-card-operation-delay-topic";

    /**
     * 一车多卡、车主解绑、换卡 group
     */
    public static final String RNR_CARD_OPERATION_DELAY_GROUP = "cusc-rnr-card-operation-delay-group";

    /**
     * rocketMq
     */
    public static final String ROCKETMQ = "rocketMq";

    /**
     * kafka
     */
    public static final String KAFKA = "kafka";
}
