package com.cusc.nirvana.user.rnr.mg.dao;

import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrInfoPO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 实名信息表(MgRnrInfo)表数据库访问层
 *
 * @author yuy336
 * @since 2022-02-10 18:30:51
 */
public interface MgRnrInfoDao extends BaseMapper<MgRnrInfoPO> {

    /**
     * 更新rnr状态
     * @param rnrId
     * @param status
     */
    void updateRnrStatus(String rnrId, int status);

    void updateRnrStatusBatch(@Param("beans") List<String> rnrIds, int status);
}

