package com.cusc.nirvana.user.rnr.mg.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgRnrTagPO;

import java.util.List;

/**
 * 实名标签，可用于对数据权限查询(MgRnrTag)表数据库访问层
 *
 * @author yuy336
 * @since 2022-01-26 13:50:09
 */
public interface MgRnrTagDao extends BaseMapper<MgRnrTagPO> {

    /**
     * Description: 批量新增标签信息
     * <br />
     * CreateDate 2022-03-04 11:27:51
     *
     * @author yuyi
     **/
    Integer addRnrTagBatch(List<MgRnrTagPO> beanList);

}

