package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * 租户业务配置(MgTenantBizzConfig)实体类
 *
 * @author yuy336
 * @since 2022-06-14 09:36:10
 */
@TableName("mg_tenant_bizz_config")
@Data
public class MgTenantBizzConfigPO extends BaseRnrPO {

    private static final long serialVersionUID = 969228659283618178L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 组织id
     */    
    @TableField("org_id")
    private String orgId;
    
    /**
     * 实名失败重试次数，大于此次数则转人工
     */    
    @TableField("rnr_fail_retry_count")
    private Integer rnrFailRetryCount;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

