package com.cusc.nirvana.user.rnr.mg.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * 开放平台租户和实名制租户映射关系表(OpenTenantRelation)实体类
 *
 * @author yuy336
 * @since 2022-06-15 20:03:28
 */
@TableName("open_tenant_relation")
@Data
public class OpenTenantRelationPO extends BaseRnrPO {

    private static final long serialVersionUID = -96485211888304703L;
    
    /**
     * 业务主键
     */    
    @TableField("uuid")
    private String uuid;
    
    /**
     * 开放平台租户ID
     */    
    @TableField("open_tenant_id")
    private String openTenantId;
    
    /**
     * 租户编号
     */    
    @TableField("tenant_no")
    private String tenantNo;
    
    /**
     * 最后一次操作人
     */    
    @TableField("operator")
    private String operator;
}

