package com.cusc.nirvana.user.rnr.mg.dao.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cusc.nirvana.user.rnr.common.po.BaseRnrPO;
import lombok.Data;

/**
 * 车卡绑定关系表
 */
@TableName("vehicle_sim_binding")
@Data
public class VehicleSimBindingPO extends BaseRnrPO {
    /**业务uuid*/
    @TableField("uuid")
    private String uuid;

    /**SIM卡的iccid*/
    @TableField("iccid")
    private String iccid;

    /**车辆vin号*/
    @TableField("vin")
    private String vin;

    /**绑定关系 0-已绑定；1-已解绑 */
    @TableField("bind_status")
    private String bindStatus;

    @TableField("company_id")
    private String companyId;

    @TableField("vehicle_model_id")
    private String vehicleModelId;

    @TableField("vehicle_model_uuid")
    private String vehicleModelUuid;

    @TableField("project_id")
    private String projectId;

    @TableField("organization_id")
    private String organizationId;
}