package com.cusc.nirvana.user.rnr.workorder.dto;

import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * @author stayAnd
 * @date 2022/3/31
 * 工单回调接口
 */
@Data
public class WorkOrderReviewCallBackRequestDTO {

	/**指派人*/
	private String assignee;

	/**
	 * 审核意见
	 */
	private String auditNote;

	/**
	 * 审核结果 1 审核通过 2 审核不通过
	 */
	private String auditResult;

	/** 业务对象标识 */
	private String businessObjectId;

	/** 认领状态 */
	private Integer claimStatus;

	/** 认领时间 */
	private Date claimTime;

	/**
	 * 工单code
	 */
	private String code;

	/**
	 * 扩展参数
	 */
	private Map<String, Object> extParams;

	/**操作*/
	private String userId;

	/** 工单类型编码*/
	private String workOrderKey;

	/** 工单状态 */
	private Integer workorderStatus;

	/**
	 * 工单唯一标识 uuid
	 */
	private String workOrderUuid;
}
