package com.cusc.nirvana.user.rnr.mg.service.impl;


import com.cusc.nirvana.user.rnr.mg.LocalRnrMgApplication;
import com.cusc.nirvana.user.rnr.mg.dao.entity.MgOrderApproverPO;
import com.cusc.nirvana.user.rnr.mg.service.IMgOrderApproverService;
import com.cusc.nirvana.user.rnr.workorder.constants.WorkOrderTypeEnum;
import com.cusc.nirvana.user.rnr.workorder.context.WorkOrderContext;
import com.cusc.nirvana.user.rnr.workorder.dto.WorkOrderStarRequestDTO;
import com.cusc.nirvana.user.rnr.workorder.handler.WorkOrderHandler;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author stayAnd
 * @date 2022/3/30
 */
@SpringBootTest(classes = LocalRnrMgApplication.class)
@RunWith(SpringRunner.class)
public class WorkOrderTest {

	@Resource
	private WorkOrderContext workOrderContext;


	@Test
	public void testStartOrder(){
		WorkOrderHandler handler = workOrderContext.getHandler();
		WorkOrderStarRequestDTO dto = new WorkOrderStarRequestDTO();
		dto.setTenantUuid("test1");
		dto.setApplicationUuid("b05ccb27c2d54113bf32a7203ef4b7a7");
		dto.setBusinessObjectId("test1");
		dto.setName("test1");
		dto.setStartUserId("test1");
		dto.setWorkOrderKey(WorkOrderTypeEnum.REAL_NAME_CERTIFICATION_ORDER.getKey());
		String s = handler.startOrder(dto);
		//System.out.println("AAA");
	}


	@Resource
	private IMgOrderApproverService userApprovalService;

	@Test
	public void testUserApproval(){
		List<MgOrderApproverPO> list = userApprovalService.list();
		System.out.println(list.size());
	}

	//@Autowired
	//IVehicleSimBindingService vehicleSimBindingService;
	//
	//@Test
	//public void VehicleSimBindingPage(){
	//	String json = "{\"organizationId\":\"2022001\",\"iccid\":\"\",\"vin\":\"HYQ3D4D17JZ012227\",\"currPage\":4,\"pageSize\":2,\"startCreateTime\":1654704000000,\"endCreateTime\":1654790399999}";
	//	VehicleSimBindingDTO dto = JSON.parseObject(json, VehicleSimBindingDTO.class);
	//	PageResult<VehicleSimBindingDTO> vehicleSimBindingDTOPageResult = vehicleSimBindingService.queryBindingPage(dto);
	//	System.out.println(JSON.toJSONString(vehicleSimBindingDTOPageResult));
	//}
}
